Bug 1690482 - Review Request: group-service - Dbus Group management CLI tool
Summary: Review Request: group-service - Dbus Group management CLI tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 14:40 UTC by Wolfgang Ulbrich
Modified: 2019-04-04 03:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:31 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2019-03-19 14:40:59 UTC
Spec URL: https://raveit65.fedorapeople.org/Mate/Specs/group-service.spec
SRPM URL: https://raveit65.fedorapeople.org/Mate/SRPM/group-service-1.1.0-1.fc30.src.rpm
Description: Dbus Group management tool
Fedora Account System Username: raveit65

Comment 1 Robert-André Mauchin 2019-03-22 21:39:50 UTC
 - In order to avoid unintentional soname bumped, we now forbid globbing the major soname version:

%{_libdir}/libgroup-service.so.*

 - Simply use:

Source0:       %url/archive/%{version}/%{name}-%{version}.tar.gz

 - Build error:

RPM build errors:
BUILDSTDERR: error: Directory not found: /builddir/build/BUILDROOT/group-service-1.1.0-1.fc31.x86_64/usr/include/group-service-1.1
BUILDSTDERR: error: Directory not found: /builddir/build/BUILDROOT/group-service-1.1.0-1.fc31.x86_64/usr/include/group-service-1.1/libgroupservice
BUILDSTDERR:     Directory not found: /builddir/build/BUILDROOT/group-service-1.1.0-1.fc31.x86_64/usr/include/group-service-1.1
BUILDSTDERR:     Directory not found: /builddir/build/BUILDROOT/group-service-1.1.0-1.fc31.x86_64/usr/include/group-service-1.1/libgroupservice

It seems the file are installed in /usr/include/group-service-1.0

Comment 2 Wolfgang Ulbrich 2019-03-22 22:44:04 UTC
> In order to avoid unintentional soname bumped, we now forbid globbing the major soname version:

Who is we ?
I am fedora too ;)
A link to docs would be helpful....

Btw. see upstream comment about.
https://github.com/zhuyaliang/group-service/issues/2#issuecomment-474172760
It well be fixed to use /usr/include/group-service-1.0/

Comment 3 Wolfgang Ulbrich 2019-03-22 22:51:29 UTC
And fixed with https://github.com/zhuyaliang/group-service/commit/735619ab5f9e74e2c9f5d86060dfa3cfe8054d00


Download link are wrong from github, the copied link from release side is
https://github.com/zhuyaliang/group-service/archive/1.1.0.tar.gz
For this reason i use 

Source0:       %url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Comment 4 Robert-André Mauchin 2019-03-22 23:04:46 UTC
(In reply to Wolfgang Ulbrich from comment #2)
> > In order to avoid unintentional soname bumped, we now forbid globbing the major soname version:
> 
> Who is we ?
> I am fedora too ;)
> A link to docs would be helpful....
> 
FPC: https://pagure.io/packaging-committee/issue/784
ML: https://lists.fedoraproject.org/archives/list/devel-announce@lists.fedoraproject.org/thread/OTYRDBXF4DJDTDAWIREKNLJI56XJMD73/
Docs: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_listing_shared_library_files

> Btw. see upstream comment about.
> https://github.com/zhuyaliang/group-service/issues/2#issuecomment-474172760
> It well be fixed to use /usr/include/group-service-1.0/

(In reply to Wolfgang Ulbrich from comment #3)
> And fixed with
> https://github.com/zhuyaliang/group-service/commit/
> 735619ab5f9e74e2c9f5d86060dfa3cfe8054d00
> 
> 
> Download link are wrong from github, the copied link from release side is
> https://github.com/zhuyaliang/group-service/archive/1.1.0.tar.gz
> For this reason i use 
> 
> Source0:       %url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

No, Github automatically renames the file  with: %url/archive/%{version}/%{name}-%{version}.tar.gz
The hack with "#/" is not necessary.(In reply to Wolfgang Ulbrich from comment #2)

> 
> Btw. see upstream comment about.
> https://github.com/zhuyaliang/group-service/issues/2#issuecomment-474172760
> It well be fixed to use /usr/include/group-service-1.0/

Ok but your current SPEC has group-service-1.1, so you should change to group-service-1.0.

Comment 5 Wolfgang Ulbrich 2019-03-23 09:18:10 UTC
Spec URL: https://raveit65.fedorapeople.org/Mate/Specs/group-service.spec
SRPM URL: https://raveit65.fedorapeople.org/Mate/SRPM/group-service-1.1.0-2.fc30.src.rpm
Description: Dbus Group management CLI tool

Sources are updated with your suggestions.
I am not sure about:

%{_libdir}/libgroup-service.so.1
%{_libdir}/libgroup-service.so.1.1.0

better like this ?

%{_libdir}/libgroup-service.so.1
%{_libdir}/libgroup-service.so.1.0.0

I will poke upstream about
https://github.com/zhuyaliang/group-service/issues/2#issuecomment-475854255

Please review.

Comment 6 Robert-André Mauchin 2019-03-23 15:55:39 UTC
 - Just:

%{_libdir}/libgroup-service.so.1*

   We only care about the *major* soname version, minor version can be globbed.


 - You don't need the patch! It's already included in version 1.1! I think there is a misunderstanding there: see the commit https://github.com/zhuyaliang/group-service/commit/735619ab5f9e74e2c9f5d86060dfa3cfe8054d00 it says it is in the tag 1.1.0. No need to backport it.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)". 23 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/group-service/review-group-
     service/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in group-
     service
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: group-service-1.1.0-2.fc31.x86_64.rpm
          group-service-devel-1.1.0-2.fc31.x86_64.rpm
          group-service-debuginfo-1.1.0-2.fc31.x86_64.rpm
          group-service-debugsource-1.1.0-2.fc31.x86_64.rpm
          group-service-1.1.0-2.fc31.src.rpm
group-service.x86_64: W: spelling-error Summary(en_US) Dbus -> Bus, D bus, Dubs
group-service.x86_64: W: spelling-error %description -l en_US Dbus -> Bus, D bus, Dubs
group-service.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.group.admin.conf
group-service.x86_64: W: empty-%postun
group-service-devel.x86_64: W: no-documentation
group-service.src: W: spelling-error Summary(en_US) Dbus -> Bus, D bus, Dubs
group-service.src: W: spelling-error %description -l en_US Dbus -> Bus, D bus, Dubs
5 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 7 Wolfgang Ulbrich 2019-03-23 16:19:58 UTC
Super, tag was changed by upstream.....
I downloaded the tarball some days ago and tag pointed to release commit :P
https://github.com/zhuyaliang/group-service/commit/5ac29e926e66fb116b80acdfced90edd765e8cb7
See my comment was from 5 days ago, where i complaint about version in include dir.
https://github.com/zhuyaliang/group-service/issues/2#issuecomment-473901790
Btw, take a look in tarball from SRPM.

Anyway, i will download a new tarball and update spec file

Did you take the review? I am missing the reviewer flag.

Comment 8 Robert-André Mauchin 2019-03-23 16:42:08 UTC
Yes just post the updated SPEC and I'll approve.

Comment 9 Wolfgang Ulbrich 2019-03-23 17:23:41 UTC
Spec URL: https://raveit65.fedorapeople.org/Mate/Specs/group-service.spec
SRPM URL: https://raveit65.fedorapeople.org/Mate/SRPM/group-service-1.1.0-3.fc30.src.rpm
Description: Dbus Group management CLI tool

* Sat Mar 23 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.0-3
- update tarball and drop patch
- update shared libraries packaging


Thanks for taking the review.

Comment 10 Robert-André Mauchin 2019-03-23 17:36:45 UTC
Package approved.

Comment 11 Wolfgang Ulbrich 2019-03-23 19:22:11 UTC
Thanks for the review.

Comment 12 Igor Gnatenko 2019-03-24 19:15:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/group-service

Comment 13 Fedora Update System 2019-03-25 12:51:46 UTC
group-service-1.1.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-45d54b7fe9

Comment 14 Fedora Update System 2019-03-25 12:52:12 UTC
group-service-1.1.0-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fc03b591d3

Comment 15 Fedora Update System 2019-03-25 12:52:46 UTC
group-service-1.1.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4b8bb3964

Comment 16 Fedora Update System 2019-03-27 04:11:32 UTC
group-service-1.1.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4b8bb3964

Comment 17 Fedora Update System 2019-03-27 04:33:59 UTC
group-service-1.1.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-45d54b7fe9

Comment 18 Fedora Update System 2019-03-29 19:20:31 UTC
group-service-1.1.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-04-04 02:26:20 UTC
group-service-1.1.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-04-04 03:11:03 UTC
group-service-1.1.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.